=== debian/changelog ===
dssi-vst (0.9.2-1ubuntu6) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:38:24 +0000

dssi-vst (0.9.2-1ubuntu5) precise; urgency=low

  * debian/control: only build on i386 
    - package does not build with 64-bit Wine (LP: #937371)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 25 Feb 2012 00:34:15 -0800

dssi-vst (0.9.2-1ubuntu4) precise; urgency=low

  * Build with new wine1.4

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 15 Feb 2012 23:41:24 -0800

dssi-vst (0.9.2-1ubuntu3) oneiric; urgency=low

  * Update build dependencies, fixes FTBFS (LP: #770884)

 -- falkTX <falktx@gmail.com>  Sun, 18 Sep 2011 17:13:39 +0100

dssi-vst (0.9.2-1ubuntu2) natty; urgency=low

  * debian/control: Add missing build-dep on libjack-dev (LP: #749124)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 15 Apr 2011 18:05:03 +0200

dssi-vst (0.9.2-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Build-Depends on wine1.2-dev instead of libwine-dev.
    - debian/patches/wine1.2-compatibility.patch: Deal with wine1.2's
      different naming, i.e wine1.2 adds .exe to the end of shell
      script filenames.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 28 Nov 2010 20:23:11 +0100

dssi-vst (0.9.2-1) unstable; urgency=low

  * New upstream release, closes: #601671.
  * Remove no-longer-needed stdio patch.
  * Switch to format 3.0 (quilt).
  * Update watch file.
  * Update standards version to 3.9.1.

 -- Samuel Mimram <smimram@debian.org>  Tue, 02 Nov 2010 14:34:06 +0000

dssi-vst (0.9.2-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Switch to 3.0 quilt format
  * Update to standards 3.9.1
  * Build against wine1.2. The package FTBFS against wine1.0 on i386 in
    maverick
  * debian/patches/wine1.2-compatibility.patch: Deal with wine1.2's different
    naming, i.e wine1.2 adds .exe to the end of shell script filenames

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 02 Aug 2010 22:19:57 +1000

dssi-vst (0.8-2ubuntu3) maverick; urgency=low

  * No-change rebuild to pick up new j-a-c-k shlibs

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 21 Jul 2010 12:57:36 +0200

dssi-vst (0.8-2ubuntu2) lucid-proposed; urgency=low

  * No changes rebuild to build on new Wine1.0 (LP: #572470)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 30 Apr 2010 01:41:29 -0700

dssi-vst (0.8-2ubuntu1) lucid; urgency=low

  * debian/control: build-depend on wine1.0-dev instead of libwine-dev

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 25 Apr 2010 23:39:14 -0700

dssi-vst (0.8-2) unstable; urgency=low

  * Update copyright file (thanks Torsten Werner).

 -- Samuel Mimram <smimram@debian.org>  Sun, 03 Jan 2010 18:13:48 +0100

dssi-vst (0.8-1) unstable; urgency=low

  * Initial release, closes: #520241.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Dec 2009 19:50:44 +0100
