=== debian/control ===
Source: dssi-vst
Section: contrib/sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), dssi-dev, wine1.4-dev | wine-dev, liblo-dev, libasound2-dev, libjack-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://breakfastquay.com/dssi-vst/

Package: dssi-vst
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Adapter for VST an VSTi audio plugins
 dssi-vst is an adapter that allows users of Linux audio software to take VST
 and VSTi audio effects and instrument plugins compiled for Windows, and load
 them into native LADSPA or DSSI plugin hosts. Plugins run at full speed for
 most audio processing, although their user interfaces are slower because of
 the Windows emulation.
